CallMetaDataProviderFactory (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.core.metadata

## Class CallMetaDataProviderFactory

- java.lang.Object
- - org.springframework.jdbc.core.metadata.CallMetaDataProviderFactory

-     public class CallMetaDataProviderFactory
      extends Object

  Factory used to create a `CallMetaDataProvider` implementation based on the type of databse being used.
  Since:
    2.5
  Author:
    Thomas Risberg

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `supportedDatabaseProductsForFunctions` List of supported database products for function calls
    `static List<String>` | `supportedDatabaseProductsForProcedures` List of supported database products for procedure calls

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallMetaDataProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CallMetaDataProvider` | `createMetaDataProvider(DataSource dataSource, CallMetaDataContext context)` Create a CallMetaDataProvider based on the database metedata

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### supportedDatabaseProductsForProcedures

          public static final List<String> supportedDatabaseProductsForProcedures

      List of supported database products for procedure calls

    - #### supportedDatabaseProductsForFunctions

          public static final List<String> supportedDatabaseProductsForFunctions

      List of supported database products for function calls

  - ### Constructor Detail

    - #### CallMetaDataProviderFactory

          public CallMetaDataProviderFactory()

  - ### Method Detail

    - #### createMetaDataProvider

          public static CallMetaDataProvider createMetaDataProvider(DataSource dataSource,
                                                    CallMetaDataContext context)

      Create a CallMetaDataProvider based on the database metedata
      Parameters:
        `dataSource` - used to retrieve metedata
        `context` - the class that holds configuration and metedata
      Returns:
        instance of the CallMetaDataProvider implementation to be used